Subject: Re: AlphaViril and Blood Flow monthly delivery
From: [email-masked]
To: [email-masked], [email-masked]
Date: Mon, 23 Sep 2019 16:24:17 -0700

ZD#82677.

AJ
HFL Customer Support

----- Original Message -----
From: "christina lee" <[email-masked]>
To:"- Dr. Sam Robbins -" <[email-masked]>
Cc:
Sent:Mon, 23 Sep 2019 16:07:08 -0600 (MDT)
Subject:AlphaViril and Blood Flow monthly delivery

Hello,

I was unsure about the details when ordering your AlphaViril and Blood
flow product and I wish to cancel my monthly delivery. I was ordering
the product just to try it out since it was on sale. I do NOT wish to
have a monthly delivery.

Please cancel any further monthly deliveries.

Thank you,

Paul